App\Entity\Trace:
    type: entity
    table: trace
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        title:
            type: text
            nullable: true
        traceType:
            type: string
            length: 255
            fixed: false
            nullable: true
        entityName:
            type: string
            length: 255
            fixed: false
            nullable: true
        entityId:
            type: integer
            nullable: true
        ipAddress:
            type: string
            length: 255
            fixed: false
            nullable: true
        url:
            type: text
            nullable: true
        os:
            type: text
            nullable: true
        browser:
            type: text
            nullable: true
        doneAt:
            type: datetime
            nullable: true
    manyToOne:
        doneBy:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: traces
            joinColumns:
                done_by:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: traces
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false